org.apache.cassandra.cql3

## Interface ErrorListener

All Known Implementing Classes:
  ErrorCollector

    public interface ErrorListener

Listener used to collect the syntax errors emitted by the Lexer and Parser.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `syntaxError(org.antlr.runtime.BaseRecognizer recognizer, java.lang.String errorMsg)` Invoked when a syntax error with a specified message occurs.
`void` `syntaxError(org.antlr.runtime.BaseRecognizer recognizer, java.lang.String[] tokenNames, org.antlr.runtime.RecognitionException e)` Invoked when a syntax error occurs.

### Method Detail

#### syntaxError

    void syntaxError(org.antlr.runtime.BaseRecognizer recognizer,
                     java.lang.String[] tokenNames,
                     org.antlr.runtime.RecognitionException e)

Invoked when a syntax error occurs.

Parameters:
  `recognizer` - the parser or lexer that emitted the error
  `tokenNames` - the token names
  `e` - the exception

#### syntaxError

    void syntaxError(org.antlr.runtime.BaseRecognizer recognizer,
                     java.lang.String errorMsg)

Invoked when a syntax error with a specified message occurs.

Parameters:
  `recognizer` - the parser or lexer that emitted the error
  `errorMsg` - the error message